# react-native-mpush

A plugin for React Native.

## Installation

```
npm i react-native-mpush
```
## Android
1. 플러그인[react-native-mpush]파일 다운로드 
2. 프로젝트 폴더와 같은 경로에 위치
3. Root 경로에서 명령어를 실행하여 플러그인 설치 
```
   yarn add ../react-native-mpush/
```
4. 프로젝트 > app 아래에 firebase를 추가한 이후 다운로드 받은 'google-services.json' 파일 적용
- [주의] FCM 앱 생성 시 앱 레벨의 build.gradle에 적용되어있는 applicationId와 동일한 패키지가 등록되어야 함.
5. 프로젝트 레벨의 build.gradle에 classpath 추가
```
buildscript {
    ...
    dependencies {
        ...
        classpath 'com.google.gms:google-services:4.4.0'
    }
}
```
6. 앱 레벨의 build.gradle의 가장 하단에 google 플러그인 추가
```
   //반드시, script 맨 하단에 작성 [위치 옮기지 말것 ]
   apply plugin: 'com.google.gms.google-services'
```
7. 플러그인 영역의 src/main/assets/res 아래 모피어스 라이선스와, Manifest.xml 적용


## Usage

```jsx
import React from 'react'
import { Text } from 'react-native'
import { Mpush } from 'react-native-mpush'

export () =>
    <Mpush>
        <Text>Hello Plugin</Text>
    </Mpush>
```

## Development

### Build

Run a single build with `npm run build` and find the output in `/dist`.

### Tests

Tests configured for React Native can be run with `npm test` or `npm run test:watch` in watch mode.

### Preview App

To test your plugin on a device run the following to create a React Native app using it.

```
npm run app
cd app
npm run ios / npm run android
```

The following command will automatically copy over changes made to the plugin to the app.

```
npm run watch
```
